# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot

# Définition de la fonction

def Fonction2(x):
    return -x**2+13.0*x/7-9.0/49

# Données
Resolution = 1000
RangeMin = 0.0
RangeMax = 2.0
Step = (RangeMax-RangeMin)/Resolution

# Construction du graphe de la fonction
Range1 = numpy.arange(RangeMin, RangeMax, Step)
Image1 = [Fonction2(x) for x in Range1]
matplotlib.pyplot.clf()
Graph1 = matplotlib.pyplot.plot(Range1, Image1, 'b-')
Graph1 += matplotlib.pyplot.plot(Range1, Range1, 'k-')

# Construction de la toile d'araignée

Iteration = 100

u = 1.1
v = u
Web = [(0,0) for x in range(2*Iteration+1)]
Web[0] = (u,0)
for n in range(Iteration):
    u = Fonction2(u)
    Web[2*n+1] = (v,v)
    Web[2*n+2] = (v,u)
    v = u

Graph1 += matplotlib.pyplot.plot([x[0] for x in Web], [x[1] for x in Web], 'r-')

matplotlib.pyplot.show()
