# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot

# Définition de la fonction

def Fonction3(x):
    return x/2+3/(2*x)

# Données
Resolution = 1000
RangeMin = 0.5
RangeMax = 4.0
Step = (RangeMax-RangeMin)/Resolution

# Construction du graphe de la fonction
Range1 = numpy.arange(RangeMin, RangeMax, Step)
Image1 = [Fonction3(x) for x in Range1]
matplotlib.pyplot.clf()
SequenceGraph1 = matplotlib.pyplot.plot(Range1, Image1, 'b-')
SequenceGraph1 += matplotlib.pyplot.plot(Range1, Range1, 'k-')

# Construction de la toile d'araignée

Iteration = 100

u = 3.1
v = u
Web = [(0,0) for x in range(2*Iteration+1)]
Web[0] = (u,0)
for n in range(Iteration):
    u = Fonction3(u)
    Web[2*n+1] = (v,v)
    Web[2*n+2] = (v,u)
    v = u

SequenceGraph1 += matplotlib.pyplot.plot([x[0] for x in Web], [x[1] for x in Web], 'r-')

matplotlib.pyplot.show()
