# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot

# Définition de la fonction

def Fonction3(x):
    if x == 0:
        return 0
    return x/2+3/(2*x)

# Données
RangeMin = -4.0
RangeMax = 4.0
Resolution = 1000
Step = (RangeMax-RangeMin)/Resolution
Range1 = [RangeMin+k*Step for k in range(Resolution+1)]

Iteration = 50
Erreur = 10.0**(-3)

def Coloriage (x, Seuil, Ecart):
	u = x
	for k in range(Seuil):
		u = Fonction3(u)
		if abs(u-math.sqrt(3)) < Ecart:
			return 'Rouge'
        if abs(u+math.sqrt(3)) < Ecart:
			return 'Bleu'
	return 'Noir'

Rouge = [x for x in Range1 if Coloriage(x, Iteration, Erreur)=='Rouge']
Bleu = [x for x in Range1 if Coloriage(x, Iteration, Erreur)=='Bleu']
Noir = [x for x in Range1 if Coloriage(x, Iteration, Erreur)=='Noir']


matplotlib.pyplot.clf()
Bassin = matplotlib.pyplot.plot(Rouge, [0 for x in Rouge], 'r.')
Bassin += matplotlib.pyplot.plot(Bleu, [0 for x in Bleu], 'b.')
Bassin += matplotlib.pyplot.plot(Noir, [0 for x in Noir], 'k.')

matplotlib.pyplot.show()
