# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot

# Définition de la fonction

def Fonction4(x):
    if 3*x**2-1 == 0:
        return 0
    return 2*x**3/(3*x**2-1)

# Données
RangeMin = -0.6
RangeMax = -0.4
Resolution = 1000
Step = (RangeMax-RangeMin)/Resolution
Range1 = [RangeMin+k*Step for k in range(Resolution+1)]

Iteration = 50
Erreur = 10.0**(-3)

def Coloriage (x, Seuil, Ecart):
	u = x
	for k in range(Seuil):
		u = Fonction4(u)
		if abs(u-1) < Ecart:
			return 'Bleu'
        if abs(u+1) < Ecart:
			return 'Rouge'
        if abs(u) < Ecart:
			return 'Vert'
	return 'Noir'
	
Bleu = [x for x in Range1 if Coloriage(x, Iteration, Erreur)=='Bleu']
Rouge = [x for x in Range1 if Coloriage(x, Iteration, Erreur)=='Rouge']
Vert = [x for x in Range1 if Coloriage(x, Iteration, Erreur)=='Vert']
Noir = [x for x in Range1 if Coloriage(x, Iteration, Erreur)=='Noir']


matplotlib.pyplot.clf()
Bassin = matplotlib.pyplot.plot(Bleu, [0 for x in Bleu], 'b.')
Bassin += matplotlib.pyplot.plot(Rouge, [0 for x in Rouge], 'r.')
Bassin += matplotlib.pyplot.plot(Vert, [0 for x in Vert], 'g.')
Bassin += matplotlib.pyplot.plot(Noir, [0 for x in Noir], 'k.')

matplotlib.pyplot.show()
