# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot

# Définition de la fonction

def Henon(x,y):
    return (1-1.4*x**2+y, 0.3*x)

# Construction de la suite

Iteration = 1000
Range1 = [0 for x in range(Iteration+1)]
Image1 = [0 for x in range(Iteration+1)]

x = numpy.random.uniform(-1.0,1.0)
y = numpy.random.uniform(-0.5,0.5)

Range1[0] = x
Image1[0] = y

for n in range(1,Iteration+1):
    u = Henon(x,y)
    x = u[0]
    y = u[1]
    Range1[n] = x
    Image1[n] = y

matplotlib.pyplot.clf()
Graph1 = matplotlib.pyplot.plot(Range1, Image1, 'k.')

matplotlib.pyplot.show()
